<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>cn.freemud</groupId>
        <artifactId>order-group</artifactId>
        <version>1.0.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>assortment-ordercenter-sdk</artifactId>
    <version>2.3.2-RELEASE</version>
    <!--    其他服务使用聚合订单sdk,版本号往上升级,无需提交版本号,记录好readme.md,后续看readme.md往上加版本
    服务内使用无需修改版本号， 如果修改，使用到聚合订单sdk都需要统一升级-->
    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <artifactId>assortment-data-manager</artifactId>
            <groupId>com.freemud.sdk.api.assortment</groupId>
            <version>5.5.42-RELEASE</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <artifactId>couponcenter-sdk</artifactId>
            <groupId>com.freemud.application.service.sdk</groupId>
            <version>4.1.3-SNAPSHOT</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <artifactId>membercenter-sdk</artifactId>
            <groupId>com.freemud.application.service.sdk</groupId>
            <version>4.1.5.RELEASE</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>cn.freemud</groupId>
            <artifactId>ordercenter-sdk</artifactId>
<!--            <version>1.3.68.RELEASE</version>-->
            <!--    版本号在最外层pom设置,其他服务使用聚合订单sdk,打开注释，版本号与基础订单sdk版本号保持一直,无需提交代码 -->
        </dependency>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>sdk-common-base</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <artifactId>stockcenter-sdk</artifactId>
            <groupId>com.freemud.application.service.sdk</groupId>
            <version>1.2.1.RELEASE</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>storecenter-sdk</artifactId>
            <version>3.2.8.RELEASE</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <artifactId>promotioncenter-sdk</artifactId>
            <groupId>com.freemud.application.service.sdk</groupId>
            <version>2.7.2.SNAPSHOT</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>cn.freemud.commons</groupId>
            <artifactId>commons-amqp</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-collections4</artifactId>
            <version>4.1</version>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>${lombok.version}</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.32</version>
        </dependency>
        <dependency>
            <groupId>ma.glasnost.orika</groupId>
            <artifactId>orika-core</artifactId>
            <version>1.5.2</version>
        </dependency>
        <dependency>
            <groupId>tk.mybatis</groupId>
            <artifactId>mapper-spring</artifactId>
            <version>1.0.4</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <artifactId>structure-center-sdk</artifactId>
            <groupId>com.freemud.application.service.sdk</groupId>
            <version>1.2-SNAPSHOT</version>
            <scope>provided</scope>
        </dependency>
    </dependencies>
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>8</source>
                    <target>8</target>
                </configuration>
            </plugin>
            <!--配置生成源码包-->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-source-plugin</artifactId>
                <version>3.0.1</version>
                <executions>
                    <execution>
                        <id>attach-sources</id>
                        <goals>
                            <goal>jar</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>